ZyanArgParseArg_(3)

NAME
ZyanArgParseArg_

SYNOPSIS

#include <ArgParse.h>

  Public Attributes

const ZyanArgParseDefinition * def
ZyanBool has_value
ZyanStringView value

Detailed Description

Information about a parsed argument.

Member Data Documentation

  const ZyanArgParseDefinition* ZyanArgParseArg_::def
Corresponding argument definition, or ZYAN_NULL for unnamed args.

This pointer is borrowed from the cfg pointer passed to ZyanArgParse.

  ZyanBool ZyanArgParseArg_::has_value
Whether the argument has a value (is non-boolean).

  ZyanStringView ZyanArgParseArg_::value
If has_value == true, then the argument value.

This is a view into the argv string array passed to ZyanArgParse via the cfg argument.

Author

Generated automatically by Doxygen for Zycore from the source code.